--[[

Copyright 2016, Project SYPHA 

The SYPHA Engine is released under the MIT license.  A copy of this license should be
distributed with this software, and may otherwise be viewed at http://mit-license.org/

]]--

if(love._version_minor >= 10) then
	LOVESPACE = 'space'
else
	LOVESPACE = ' '
end

if(love._version_minor >= 9) then
	love.graphics.drawq = love.graphics.draw
	love.graphics.quad = love.graphics.polygon
	love.graphics.setDefaultImageFilter = love.graphics.setDefaultFilter
	love.graphics.toggleFullscreen = function () 
		local isFS = love.window.getFullscreen() 
		love.window.setFullscreen(not(isFS)) 
		local newWidth,newHeight = love.window.getDimensions()
		if (not(isFS) and ((newHeight / newWidth) < .75)) then
			winOfs = (newWidth - (newHeight * 4 / 3)) / (love.graphics.getHeight() / 240 * 2)
			--print(winOfs..'('..newWidth..';'..newHeight..')')
		else
			winOfs = 0
		end
	end
elseif(love._version_minor == 8) then
	love.window = love.graphics
end 
